Skip to content

Create a new ACH payment intent.

POST
/payments/ach

The transfer is either accepted or the call fails. Success puts the transfer in created state and returns a processor reference.

object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
Example
USD
description
string | null
direction
required

Debit pulls from the counterparty; credit pushes. Required on originate.

string
Allowed values: debit credit
metadata
object | null
payment_method
required
object
account_holder_name
required
string
>= 1 characters <= 22 characters
account_holder_type
required
string
Allowed values: personal business
account_number
required
string
>= 1 characters <= 17 characters /^[0-9]+$/
account_type
required
string
Allowed values: checking savings
routing_number
required
string
>= 9 characters <= 9 characters /^[0-9]{9}$/

Transfer accepted

Success body of POST /payments/ach.

A successful create leaves the transfer created with a processor reference. Any other outcome is an error response.

object
amount
required

A monetary amount in the currency’s minor units (e.g. cents for USD).

integer format: int64
Example
1000
created
required
integer format: int64
currency
required

Currently supported currencies by Paygasus Pay

string
Allowed values: USD
Example
USD
description
string | null
id
required
string
Example
ach_9Z3K01ARZ3NDEKTSV4RRFFQ69G5FAV
livemode
required
boolean
metadata
required
object
key
additional properties
string
payment_method
required
object
account_holder_name
required
string
Example
Jane Buyer
account_holder_type
required
string
Allowed values: personal business
account_last4
required
string
Example
6789
account_type
required
string
Allowed values: checking savings
routing_number
required
string
Example
021000021
statement_descriptor
string | null
status
required

The only status a successful create returns.

object
processor_ref
required
string
status
required
string
Allowed values: created
submitted_at
required
string format: date-time
updated
required
integer format: int64

Invalid request

object
error
required
object
code
required
string
message
required
string
param
string | null
retryable

When present and true, the caller may retry the same request.

boolean | null
type
required
string

ACH is not enabled for this account

object
error
required
object
code
required
string
message
required
string
param
string | null
retryable

When present and true, the caller may retry the same request.

boolean | null
type
required
string

Processor unreachable

object
error
required
object
code
required
string
message
required
string
param
string | null
retryable

When present and true, the caller may retry the same request.

boolean | null
type
required
string